> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/velafi-1/api-reference/merchant/get-crypto-deposit-address.md).

# Get Crypto Deposit Address

This API allows you to retrieve the balances of cryptocurrency assets in a user's account.

#### Endpoint Information

* **Request Header**: `X-BH-TOKEN: ******`
* **Request Method**: `GET`
* **Request Path**: `/v2/assets/depositAddress`
* **Authorization Required**: Yes

#### Query Parameters

* **tokenId**: (String) - ID of the token
* **chainType** (String) - Type of the blockchain (default: "")
* **merchantId**: (int) The ID of the merchant.

| tokenId | ChainType | Chain Full Name |
| ------- | --------- | --------------- |
| USDT    | TRC20     | Tron            |
| USDT    | ERC20     | Ethereum        |
| USDT    | BEP20     | BNB Smart Chain |
| USDT    | POL       | Polygon         |

#### Response Structure

The response will include the following fields:

```json
{
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "allowDeposit": false, (boolean: whether the deposit is allowed)
    "address": "", (string: address of the deposit)
    "addressExt": "", (string: address tag)
    "minQuantity": "", (string: minimum amount of the deposit)
    "needAddressTag": false, (boolean: whether the address tag is required)
    "requiredConfirmNum": 0, (number: required confirmation number)
    "canWithdrawConfirmNum": 0, (number: maximum confirmation number)
    "tokenType": "" (string: type of the token)
  }
}
```

#### Example Response

tokenId: USDT\
chainType: TRC20

```json
{
  "code": 200,
  "msg": "SUCCESS",
  "data": {
    "allowDeposit": true,
    "address": "TT5PSvrhxXjw2NZNu1S8L5ybwYVxCkQRKC",
    "addressExt": "",
    "minQuantity": "5",
    "needAddressTag": false,
    "requiredConfirmNum": 12,
    "canWithdrawConfirmNum": 20,
    "tokenType": "TRX_TOKEN"
  }
}
```

####


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.velafi.com/velafi-1/api-reference/merchant/get-crypto-deposit-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
